Index: .emacs
===================================================================
--- .emacs	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ .emacs	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -69,4 +69,5 @@
 
          :html-doctype "html5"
+	 :exclude ".*/logsec/.*"
 
          :with-title nil
Index: content/digarden/20210409054712-жизнь.org
===================================================================
--- content/digarden/20210409054712-жизнь.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210409054712-жизнь.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -2,6 +2,13 @@
 :ID:       3e63edf9-5b48-4359-86ff-d6253df64b22
 :END:
-#+title: Жизнь
-* Жизнь
+#+TITLE: @w96k: Digital Garden
+* Digital Garden Index
+[[id:3085a136-04a4-4c5e-9bd3-34c4567a1827][Digital Garden]] is such set of notes similar to Zettelkasten, that are
+not ever in finish state. So you read them and come over the time to
+check them again, because they can be updated anytime.
+
+English version of my digital garden is still work in progress.
+
+* @w96k
 Методология [[id:a2c9a526-43dc-4ca1-89bf-45cb42eb91a9][Zettelkasten]], которая использует здесь, приносит грубо
 говоря формализацию существования человека, формирует его понятийную
@@ -17,5 +24,4 @@
 
 - [[id:4d48c799-fe0e-4fc1-8a50-71b54607da92][Обо мне]]
-- [[id:27b2dea7-ce60-456e-b2ec-9489ad3a68e5][Принципы]]
 - [[id:e54cda83-96e6-44cc-a4ce-da02af0dec86][Блог]]
 - [[id:a09282ec-74bc-4ed4-a1b1-1e7a23edbb81][ЭВМ]]
@@ -41,4 +47,2 @@
   (org-roam-update-org-id-locations)
 #+end_src
-
-#+RESULTS:
Index: content/digarden/20210409061305-org_roam.org
===================================================================
--- content/digarden/20210409061305-org_roam.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210409061305-org_roam.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -4,11 +4,11 @@
 #+title: org-roam
 * Org Roam
-  Org-mode в качестве системы накапливания знаний и реализации техники
+Org-mode в качестве системы накапливания знаний и реализации техники
 
-  [[id:a2c9a526-43dc-4ca1-89bf-45cb42eb91a9][Zettelkasten]]
+[[id:a2c9a526-43dc-4ca1-89bf-45cb42eb91a9][Zettelkasten]]
 
-  Статьи:
-  - https://www.badykov.com/common/2020/03/29/a-matter-of-habit/
-    
-  Видео:
-  https://youtube.com/watch?v=C8hSRMJG7ng
+Статьи:
+- https://www.badykov.com/common/2020/03/29/a-matter-of-habit/
+
+Видео:
+-  https://youtube.com/watch?v=C8hSRMJG7ng
Index: content/digarden/20210409064918-эвм.org
===================================================================
--- content/digarden/20210409064918-эвм.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210409064918-эвм.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -11,5 +11,2 @@
 - [[id:c3893dd6-2555-45c5-a94f-7a51d7804ce8][Железо]]
 
-#+DOWNLOADED: https://upload.wikimedia.org/wikipedia/ru/f/f7/GeneralizedLayeredComputerStructure_platform.png @ 2021-12-15 12:41:23
-[[file:2021-12-15_12-41-23_GeneralizedLayeredComputerStructure_platform.png]]
-
Index: content/digarden/20210409071256-scheme.org
===================================================================
--- content/digarden/20210409071256-scheme.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210409071256-scheme.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,9 +3,10 @@
 :END:
 #+title: Scheme
+
 * Scheme
 Реализации:
 - [[id:4e6cf3aa-77cc-4fae-b1d9-192bc94a4657][Guile]] (Проект GNU + встраиваемость в си)
 - [[id:40bc0c27-0137-4227-abc1-33032d39dbff][MIT Scheme]] (Стандартная схема)
-- [[id:967b00a0-2706-406c-ac1e-3aaaaf44cd39][BigLoo]] (C++ like)
+- BigLoo (C++ like)
 - [[id:ffa4066b-b6f0-46b3-9649-cb5232a32ac6][Racket]] (Python like batteries)
 - [[http://synthcode.com/scheme/chibi][Chibi Scheme]] (Встраиваемость в си, маленький размер)
@@ -50,30 +51,22 @@
 Научные статьи:
 - https://github.com/schemedoc/bibliography
-
 ** Достоинства:
 - Есть стандарт и он маленький (~40 стр)
 - Есть много реализаций и стандарт просто реализовать
-
 ** Недостатки:
 - Менее динамичен по сравнению с Common Lisp (geiser < Slime)
-
 ** Видео:
 - [[https://youtube.com/watch?v=Kq-4nhIktes][Scheme, Guile, and Racket: an Introduction by Craig Maloney]]
-
 ** Проекты:
 - [[https://github.com/Jobhdez/scheme-to-lambda-calculus-compiler][Scheme to Lambda Calculus compiler]]
-  
 ** Курсы
 - [[id:66fb29e8-a082-4289-be17-664b3d470a8e][SICP]]
 - [[https://www.cs.utexas.edu/ftp/garbage/cs345/schintro-v14/schintro_5.html][An introduction to Scheme and its implementation]]
-  
 ** Примеры
-- [[https://spritely.institute/static/papers/scheme-primer.html][Scheme Primer]]  
-  
+- [[https://spritely.institute/static/papers/scheme-primer.html][Scheme Primer]]
 ** Книги
 - [[https://doc.lagout.org/programmation/Lisp/Scheme/Teach%20Yourself%20Scheme%20in%20Fixnum%20Days%20-%20%20Dorai%20Sitaram.pdf][Teach yourself Scheme in Fixnum days]]
 - Little Schemer
 - Seasoned Schemer
-
 ** Люди
 - Gerald Sussman
Index: content/digarden/20210409074734-gnu_trisquel.org
===================================================================
--- content/digarden/20210409074734-gnu_trisquel.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210409074734-gnu_trisquel.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,4 +3,5 @@
 :END:
 #+title: GNU Trisquel
+* GNU Trisquel
 Свободный дистрибутив GNU/Linux от проекта GNU. Основан на предыдущей
 стабильной версии Ubuntu.
Index: content/digarden/20210410001621-gnu.org
===================================================================
--- content/digarden/20210410001621-gnu.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210410001621-gnu.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -16,5 +16,3 @@
    :CUSTOM_ID: 1
    :END:
-
-* TODO Описать все доступные пакеты GNU    
   
Index: content/digarden/20210410091055-coreboot.org
===================================================================
--- content/digarden/20210410091055-coreboot.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210410091055-coreboot.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,9 +3,11 @@
 :END:
 #+title: Coreboot
+* Coreboot
+Видео "Coreboot. Практическое знакомство со свободной альтернативой
+BIOS"
 
-Видео "Coreboot. Практическое знакомство со свободной альтернативой BIOS"
 https://youtube.com/watch?v=93ABZhamtQM
 
 http://0x1.tv/Coreboot._Практическое_знакомство_со_свободной_альтернативой_BIOS_(Nick_Void,_LVEE-2015)
 
-Для прошивки используется [[id:8454575a-eb38-4931-96c4-80b102470cae][Внутрисхемное программирование]] 
+Для прошивки используется [[id:87055039-fe93-451b-b3ed-2c6174dbb94a][Внутрисхемное программирование]]
Index: content/digarden/20210410204957-org_mode.org
===================================================================
--- content/digarden/20210410204957-org_mode.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210410204957-org_mode.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,10 +3,7 @@
 :END:
 #+title: org-mode
-#+filetags: :todo:
-Мод для [[id:981dfcf0-ce4a-4215-bbce-3a745d7d0b4d][Emacs]] для создания документов (аналог [[id:db177443-79bf-4e17-94d4-3086353d21d0][Markdown]]) и организации
+Мод для [[id:c96a8193-df06-4528-9f5b-5ba4560c068f][Emacs]] для создания документов (аналог [[id:db177443-79bf-4e17-94d4-3086353d21d0][Markdown]]) и организации
 жизни.
 
 - [[id:0624ae09-f95e-499a-bee9-90689249a5c1][org-habit]]
 - [[id:0913037e-180c-43e1-967e-fb03451b41d2][org-download]]
-
-* TODO Прочитать документацию org-mode
Index: content/digarden/20210410205030-emacs_vc.org
===================================================================
--- content/digarden/20210410205030-emacs_vc.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210410205030-emacs_vc.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -4,5 +4,5 @@
 #+title: emacs-vc
 * Emacs VC
-Встроенный модуль для работы с системами контроля версий в [[id:981dfcf0-ce4a-4215-bbce-3a745d7d0b4d][Emacs]].
+Встроенный модуль для работы с системами контроля версий в Emacs.
 
 Встроенная поддержка есть для следующих модулей
@@ -47,61 +47,58 @@
 * История модуля VC
 ** Основан на [[https://www.gnu.org/software/rcs/][GNU Rcs]] 
-  Rcs -- древняя централизированная система контроля версий от проекта
-  GNU. Проект живой, но неизвестно кем используется.
+Rcs -- древняя централизированная система контроля версий от проекта
+GNU. Проект живой, но неизвестно кем используется.
 ** Подробнее об истории
-   [[https://alexott.net/en/writings/emacs-vcs/EmacsVC.html][История модуля VC (AlexOtt)]]
+[[https://alexott.net/en/writings/emacs-vcs/EmacsVC.html][История модуля VC (AlexOtt)]]
 
 
 * Как работать с ним
 ** Начало
-   Инициализация проекта предполагается через cli утилиту вашей системы контроля
-   версий. Вроде:   
-   #+begin_src bash
-     mkdir ~/projects/emacs-vc
-     cd ~/projects/emacs-vc
-     git init .
-   #+end_src
+Инициализация проекта предполагается через cli утилиту вашей системы контроля
+версий. Вроде:   
+#+begin_src bash
+  mkdir ~/projects/emacs-vc
+  cd ~/projects/emacs-vc
+  git init .
+#+end_src
 
-#+RESULTS:
-: Инициализирован пустой репозиторий Git в /home/w96k/projects/emacs-vc/.git/
-
-  Общий вид доступен по команде vc-dir
+Общий вид доступен по команде vc-dir
   
-  #+begin_src emacs-lisp :results none
-    (vc-dir "~/projects/emacs-vc")
-  #+end_src
+#+begin_src emacs-lisp :results none
+  (vc-dir "~/projects/emacs-vc")
+#+end_src
 
 ** Альтернативы командам git
 *** git add
-    В VC так называется "регистрация" файла. Можно выполнить напрямую через
-    команду ~M-x vc-register~, но в VC воркфлоу несколько иной.
+В VC так называется "регистрация" файла. Можно выполнить напрямую через
+команду ~M-x vc-register~, но в VC воркфлоу несколько иной.
 
-    Создадим файл и добавим
-    #+begin_src emacs-lisp :results none
-      (find-file "~/projects/emacs-vc/file1.el")
-      (insert "(+ 2 (* 2 2))")
-      (save-some-buffers)
-    #+end_src
+Создадим файл и добавим
+#+begin_src emacs-lisp :results none
+  (find-file "~/projects/emacs-vc/file1.el")
+  (insert "(+ 2 (* 2 2))")
+  (save-some-buffers)
+#+end_src
 
 *** git reset
-    Откат изменений происходит при помощи ~M-x vc-revert~ или сочетания клавиш ~C-x
-    v u~.
+Откат изменений происходит при помощи ~M-x vc-revert~ или сочетания клавиш ~C-x
+v u~.
 
-    Для разрешения конфликтов ~M-x vc-resolve-conflicts~.
+Для разрешения конфликтов ~M-x vc-resolve-conflicts~.
 
 *** git branch
-    Для создания ветки ~M-x vc-create-tag~ или бинд ~C-x v s
-    Для смены ветки ~M-x vc-retrieve-tag~ или бинд ~C-x v r~
+Для создания ветки ~M-x vc-create-tag~ или бинд ~C-x v s
+Для смены ветки ~M-x vc-retrieve-tag~ или бинд ~C-x v r~
 
 *** git merge
-    Слияние веток происходит при помощи ~vc-merge~
+Слияние веток происходит при помощи ~vc-merge~
 
 ** Воркфлоу в VC
-    В любой непонятной ситуации используешь ~M-x vc-next-action~ или бинд ~C-x v v~
+В любой непонятной ситуации используешь ~M-x vc-next-action~ или бинд ~C-x v v~
         
-    - Если файл не зарегистрирован, то он регистрируется, но изменения не подтверждаются;
-    - Если файл уже был добавлен, но не подтвержден, то это изменение подтверждается;
-    - Если файл был изменен, а "главный" файл нет, то ваши изменения подтверждаются после ввода описания изменений;
-    - Если файл в репозитории был изменен, то пользователю выдадут запрос на слияние изменений в ваш рабочий файл.
+- Если файл не зарегистрирован, то он регистрируется, но изменения не подтверждаются;
+- Если файл уже был добавлен, но не подтвержден, то это изменение подтверждается;
+- Если файл был изменен, а "главный" файл нет, то ваши изменения подтверждаются после ввода описания изменений;
+- Если файл в репозитории был изменен, то пользователю выдадут запрос на слияние изменений в ваш рабочий файл.
 
 ** Ссылки
Index: content/digarden/20210410235221-emacs_kiwix.org
===================================================================
--- content/digarden/20210410235221-emacs_kiwix.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210410235221-emacs_kiwix.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -4,5 +4,5 @@
 #+title: emacs-kiwix
 #+filetags: :todo:
-Клиент [[id:7c707d2a-a1c8-46ee-9a18-da0b7c80400a][Kiwix]] для текстового редактора [[id:981dfcf0-ce4a-4215-bbce-3a745d7d0b4d][Emacs]].
+Клиент [[id:7c707d2a-a1c8-46ee-9a18-da0b7c80400a][Kiwix]] для текстового редактора [[id:c96a8193-df06-4528-9f5b-5ba4560c068f][Emacs]].
 
 Исходный код:
Index: content/digarden/20210411001007-emacs_erc.org
===================================================================
--- content/digarden/20210411001007-emacs_erc.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210411001007-emacs_erc.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -4,3 +4,3 @@
 #+title: emacs-erc
 * ERC
-Клиент [[id:6ae1cf8d-be31-4953-90f6-75c4bad3a1c0][IRC]] для [[id:981dfcf0-ce4a-4215-bbce-3a745d7d0b4d][Emacs]]
+Клиент [[id:6ae1cf8d-be31-4953-90f6-75c4bad3a1c0][IRC]] для [[id:c96a8193-df06-4528-9f5b-5ba4560c068f][Emacs]]
Index: content/digarden/20210411123818-воспроизводимость.org
===================================================================
--- content/digarden/20210411123818-воспроизводимость.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210411123818-воспроизводимость.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,4 +3,5 @@
 :END:
 #+title: Воспроизводимость
+* Воспроизводимость
 [[id:d68b01da-a9b2-4343-806a-10b980e82461][Воспроизводимые сборки]] и различного рода конфигураторы и инсталлеры
 дистрибутивов.
Index: content/digarden/20210412020820-librejs.org
===================================================================
--- content/digarden/20210412020820-librejs.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210412020820-librejs.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -4,2 +4,8 @@
 #+title: LibreJS
 
+* LibreJS
+Плагин для Firefox, который позволяет использовать Javascript в
+свободной манере. А именно проверяет лицензии используемого кода.
+
+** Минусы
+- Много ест. Чаще проще просто отключить Javascript.
Index: content/digarden/20210412185045-gnu_os.org
===================================================================
--- content/digarden/20210412185045-gnu_os.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
+++ content/digarden/20210412185045-gnu_os.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -0,0 +1,8 @@
+:PROPERTIES:
+:ID:       5dd95202-4569-4a74-a731-6dcec55d5fbb
+:END:
+#+title: GNU OS
+* GNU Операционная система
+- [[id:949b22d6-de32-4bc3-a846-4b4f4b038b05][GNU/Linux]]
+- [[id:4284aa20-a042-4346-a24f-941c91d5ffa3][GNU Hurd]]
+- [[id:6367967d-4d3b-4fd6-bc73-029382068773][GNU Readline]]
Index: content/digarden/20210413033719-namazu.org
===================================================================
--- content/digarden/20210413033719-namazu.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210413033719-namazu.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,5 +3,5 @@
 :END:
 #+title: Namazu
-Полнотекстовый поиск, используемый в [[id:e3f54f68-8c1e-4f47-a2da-57a09029ba44][Списки рассылки]].
+Полнотекстовый поиск, используемый в Списки рассылки.
 
 Веб-сайт: http://www.namazu.org
Index: content/digarden/20210413042234-финансы.org
===================================================================
--- content/digarden/20210413042234-финансы.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210413042234-финансы.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -4,5 +4,5 @@
 #+title: Финансы
 * Финансы
-- [[id:39158e6d-c38a-4b57-912b-498a6c3ff133][Учёт]]
+- [[id:39158e6d-c38a-4b57-912b-498a6c3ff133][Учёт финансов]]
   
 Программы:
Index: content/digarden/20210413042302-учет.org
===================================================================
--- content/digarden/20210413042302-учет.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210413042302-учет.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -52,4 +52,2 @@
 
 или ~sudo apt install ledger~
-
-#+RESULTS:
Index: content/digarden/20210414223125-интроспекция.org
===================================================================
--- content/digarden/20210414223125-интроспекция.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210414223125-интроспекция.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -7,5 +7,3 @@
 время исполнения этой же самой программы (например на интерпретируемом
 языке).
-- [[id:0adb3d63-6ff0-4d07-b3fc-5fab228b381b][Valgrind]]
-
-  
+- [[id:fdc70d71-d0a9-413b-a368-358995cb56e3][Valgrind]]
Index: content/digarden/20210417002643-nim.org
===================================================================
--- content/digarden/20210417002643-nim.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210417002643-nim.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,3 +3,10 @@
 :END:
 #+title: Nim
+* Nim
+Язык программирование с продвинутой системой типизации, который
+компилируется в си. Особенностью является python-подобный синтаксис и
+выбор между разными garbage collector'ами, а также возможностью их
+отключения.
 
+** Минусы
+- Так как язык hosted (компилируется в си), то придётся знать как Nim, так и Си
Index: content/digarden/20210423140530-ruby.org
===================================================================
--- content/digarden/20210423140530-ruby.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210423140530-ruby.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,10 +3,9 @@
 :END:
 #+title: Ruby
-
 https://ruby-lang.org/
 
 ** Преимущества
 - Функциональный
-- ООП в стиле [[id:c78b4b4c-49ce-4872-9191-9186eebc1e0f][Smalltalk]]
+- ООП в стиле Smalltalk
 - Скриптовый как Perl, AWK, SED и т.д.
 - Можно найти работу
Index: content/digarden/20210423140558-common_lisp.org
===================================================================
--- content/digarden/20210423140558-common_lisp.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210423140558-common_lisp.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -28,2 +28,17 @@
 ** Ресурсы
 - [[https://stevelosh.com/blog/2021/03/small-common-lisp-cli-programs/][Writing Small CLI Programs in Common Lisp]]
+
+  
+[[https://jtra.cz/stuff/lisp/sclr/index.html][Reference]]
+
+[[https://lispcookbook.github.io/cl-cookbook/clos.html][CLOS]]
+
+** Статьи
+- [[http://nhplace.com/kent/Papers/][Набор академических статей и мануалов по лиспам]]
+- [[http://www.p-cos.net/lisp/guide.html][Pascal Costanza's Highly Opinionated Guide to Lisp]]
+- [[https://stevelosh.com/blog/2018/08/a-road-to-common-lisp/][A Road to Common Lisp]]
+- [[http://cl-cookbook.sourceforge.net/][Common Lisp Old Cookbook]]
+  
+** Видео
+- https://www.youtube.com/watch?v=nSJcuOLmkl8
+- https://www.youtube.com/playlist?list=PLCpux10P7KDKPb4eI5b_qSnQaY1ePGKGK
Index: content/digarden/20210423140620-java.org
===================================================================
--- content/digarden/20210423140620-java.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210423140620-java.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,4 +3,30 @@
 :END:
 #+title: Java
+* Java
+** Документация
+- [[https://docs.oracle.com/javase/8/docs/api/java/lang/package-tree.html][Иерархия пакетов в Java]]
+*** Самая первая версия
+http://web.mit.edu/java_v1.0.2/
+
+
+** Преимущества
+- Статическая типизация. Чуть больше надежности по сравнению с PHP или
+  Python
+- Много библиотек и много работы.
+- OpenJDK свободное ПО.    
+** Недостатки
+- Бесполезные геттеры и сеттеры, которые просто сетают поле или просто
+  тянут поле с тем же именем
+- Нет именованных аргументов
+- Нет трейтов  
+- Для рефлексии надо использовать отдельный флаг после Java
+- Переусложненный код во многих библиотеках
+- Корпоративное влияние на язык скорее всего довольно серьёзное
+
+** Сертификация
+*** Подготовка
+- https://dev.to/javinpaul/how-to-become-a-certified-java-developer-professionals-1jfb
+- https://dev.to/javinpaul/how-to-become-a-certified-spring-developer-professional-in-2022-5f31
+
 Высокоуровневый язык программирования со статической строгой типизацией. Имеет
 огромную реализацию и стандартную библиотеку. Работает на множестве систем в
Index: content/digarden/20210427161042-кибернетика.org
===================================================================
--- content/digarden/20210427161042-кибернетика.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210427161042-кибернетика.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -13,5 +13,5 @@
 
 Термины:
-- [[id:fac9045a-02b4-4bf9-8c5a-3b819a0ca4d7][Сложность]]
+- [[id:46fd8a93-c8de-49d7-bddc-1dcc61b23cef][Сложность]]
 - [[id:661eb1aa-781a-4694-a11b-3dfe4ade635f][Лямбда-куб]]
 - [[id:ad26933b-e21d-421e-90af-93dca2c6acaf][Квадрат типизации]]
Index: content/digarden/20210428005214-логика.org
===================================================================
--- content/digarden/20210428005214-логика.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210428005214-логика.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -44,2 +44,31 @@
 * Люди
 - [[https://ru.wikipedia.org/wiki/%D0%98%D0%B2%D0%B8%D0%BD%2C_%D0%90%D0%BB%D0%B5%D0%BA%D1%81%D0%B0%D0%BD%D0%B4%D1%80_%D0%90%D1%80%D1%85%D0%B8%D0%BF%D0%BE%D0%B2%D0%B8%D1%87][Ивин, Александр Архипович]]
+
+** Законы логики
+1. Закон тождества:
+- Любая мысль должна быть тождественной (равной самой себе);
+2. Закон противоречия:
+-  мысль не должна противоречить самой себе;
+3. Закон исключенного третьего:
+- суждения могут быть противоположными или противоречащими, и важно не
+  путать эти два понятия + необходимо, чтобы находился третий вариант,
+  который конкретно отражает, реальную суть происходящего/точки зрения;
+4. Закон достаточного основания
+- Любая мысль должна быть обоснованной и ваша мысль должна быть
+  последовательно реальной и проверяемой на все 3 предыдущих пункта на
+  все 100%.
+
+Разделы математической логики:
+- общая логика (англ. general logic), включает классическую логику
+  первого порядка, логики высших порядков (логику второго порядка),
+  комбинаторную логику, λ-исчисление, временную логику, модальную
+  логику, многозначные логики, нечёткую логику, логику в информатике;
+- теория моделей;
+- теория вычислимости и теория рекурсии;
+- теория множеств;
+- теория доказательств и конструктивная математика;
+- алгебраическая логика (включает вопросы изучения булевых алгебр,
+  алгебр Гейтинга, квантовых логик, цилиндрических и полиадических
+  алгебр, алгебр Поста); нестандартные модели.
+
+[[https://ru.wikipedia.org/wiki/Математическая_логика][Википедия: Математическая Логика]]  
Index: content/digarden/20210428014629-inria.org
===================================================================
--- content/digarden/20210428014629-inria.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210428014629-inria.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -5,4 +5,4 @@
 Французский институт, который создал:
 - [[id:ab68624c-e88f-4fe4-94e9-d5de53f97358][Ocaml]]
-- [[id:299d915f-59a3-43f4-993f-5951c55cd573][BigLoo]]
+- BigLoo
 - [[id:182e1fdb-3dfe-4f7a-a680-603fca382b59][Coq]]    
Index: content/digarden/20210508210222-философия.org
===================================================================
--- content/digarden/20210508210222-философия.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210508210222-философия.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -8,5 +8,5 @@
 [[https://scorcher.ru/art/philosophy/philosophy4.php][Обзор направлений философии]]  
 
-- [[id:11914fde-ef84-4852-a285-8c651be7e1b6][Логика]]
+- [[id:2b0bd9ed-a344-4f00-8233-6a1833a2902a][Логика]]
 
 ** Интересные мне философы
Index: content/digarden/20210513013257-алгоритмы.org
===================================================================
--- content/digarden/20210513013257-алгоритмы.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20210513013257-алгоритмы.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -33,5 +33,2 @@
   qsort(global_arr)
 #+end_src
-
-#+RESULTS:
-| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 |
Index: content/digarden/20211201213536-сложность.org
===================================================================
--- content/digarden/20211201213536-сложность.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20211201213536-сложность.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -3,6 +3,8 @@
 :END:
 #+title: Сложность
+* Сложность
+Нотация Big O.
 
-Нотация Big O.
+https://www.bigocheatsheet.com
 
 ** Разновидности
Index: content/digarden/20220128170846-обо_мне.org
===================================================================
--- content/digarden/20220128170846-обо_мне.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20220128170846-обо_мне.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -19,2 +19,4 @@
 - Музыка
 - Лингвистика
+
+И во всём не особо преуспел (:
Index: content/digarden/20220202183614-python.org
===================================================================
--- content/digarden/20220202183614-python.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20220202183614-python.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -160,2 +160,5 @@
 ** Видео
 - [[https://www.youtube.com/watch?v=rfscVS0vtbw][Туториал на 4.5 часа]]
+
+  Источники знания:
+- https://uneex.org/Python/GeoPython2021
Index: content/digarden/20220930122049-выживание_аутиста.org
===================================================================
--- content/digarden/20220930122049-выживание_аутиста.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/20220930122049-выживание_аутиста.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -4,5 +4,7 @@
 #+OPTIONS: toc:nil
 #+title: Выживание_аутиста
-Для тех, кто ждал и дождался
+Для тех, кто ждал и дождался. Изначально это сообщение адресовалось
+друзьям, которые не особо желали подвергаться дополнительным рискам в
+период с середины-конца сентября 2022 года.
 
 ** Нельзя категорически делать
Index: content/digarden/index.org
===================================================================
--- content/digarden/index.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/index.org	(revision 962709f2b6b0f0bb05db897ca6911e058f64a776)
@@ -1,21 +1,2 @@
-#+TITLE: @w96k: Digital Garden
-#+OPTIONS: toc:nil
-#+LANGUAGE: en
-* Digital Garden Index
-[[id:3085a136-04a4-4c5e-9bd3-34c4567a1827][Digital Garden]] is such set of notes similar to Zettelkasten, that are
-not ever in finish state. So you read them and come over the time to
-check them again, because they can be updated anytime.
-
-English version of my digital garden is still work in progress.
-
-Russian digital garden is [[id:3e63edf9-5b48-4359-86ff-d6253df64b22][here]].
-
-[[https://w96k.dev/public/images/digarden.svg][Visualization of all nodes in digital garden.]]
-
-- [[id:fd2dd57d-c683-4ad2-9530-8f0d828a2110][About me]]
-- [[id:eb79a37a-45a1-4bb9-9a94-eb1bded1d9d1][Errata]]
-  
-** Links
-- [[https://en.wikipedia.org/wiki/Zettelkasten][Wikipedia: Zettelkasten]]
-
-
+#+TITLE: @w96k: Digital Garden: index
+#+INCLUDE: 20210409054712-жизнь.org
